Package com.xebialabs.xlrelease.risk.domain.riskassessors

## Class TaskFlagRiskAssessor

- java.lang.Object
- - com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
  - - com.xebialabs.xlrelease.risk.domain.riskassessors.RiskAssessor
    - - com.xebialabs.xlrelease.risk.domain.riskassessors.TaskFlagRiskAssessor

- All Implemented Interfaces:
    `ConfigurationItem`, `java.io.Serializable`, `java.lang.Comparable<BaseConfigurationItem>`
  Direct Known Subclasses:
    `TaskWithXFlagsAtRiskRiskAssessor`, `TaskWithXFlagsNeedsAttentionRiskAssessor`

      public abstract class TaskFlagRiskAssessor
      extends RiskAssessor

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected int` | `maxFlags` |
    `protected int` | `minFlags` |

    - ### Fields inherited from class com.xebialabs.xlrelease.risk.domain.riskassessors.RiskAssessor

      `description, group, icon, OK_HEADLINE, OK_SCORE, order, score, title, weight`

    - ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `id, syntheticProperties, type`

    - ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

      `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TaskFlagRiskAssessor()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected RiskAssessment` | `executeForFlag​(RiskAssessment assessment, Release release, RiskProfile riskProfile, FlagStatus flagStatus, java.lang.String flaggedHeadline)` |
    `int` | `getMaxFlags()` |
    `int` | `getMinFlags()` |
    `protected abstract int` | `getScore​(int numberOfFlaggedTasks, RiskProfile riskProfile)` |
    `void` | `setMaxFlags​(int maxFlags)` |
    `void` | `setMinFlags​(int minFlags)` |

    - ### Methods inherited from class com.xebialabs.xlrelease.risk.domain.riskassessors.RiskAssessor

      `execute, getDescription, getGroup, getIcon, getOrder, getScore, getTitle, getWeight, setDescription, setGroup, setIcon, setOrder, setScore, setTitle, setWeight`

    - ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### minFlags

          @Property(description="Minimum amount of flags to have to score")
          protected int minFlags

    - #### maxFlags

          @Property(description="Maximum amount of flags to have to score")
          protected int maxFlags

  - ### Constructor Detail

    - #### TaskFlagRiskAssessor

          public TaskFlagRiskAssessor()

  - ### Method Detail

    - #### executeForFlag

          protected RiskAssessment executeForFlag​(RiskAssessment assessment,
                                                  Release release,
                                                  RiskProfile riskProfile,
                                                  FlagStatus flagStatus,
                                                  java.lang.String flaggedHeadline)

    - #### getScore

          protected abstract int getScore​(int numberOfFlaggedTasks,
                                          RiskProfile riskProfile)

    - #### getMinFlags

          public int getMinFlags()

    - #### setMinFlags

          public void setMinFlags​(int minFlags)

    - #### getMaxFlags

          public int getMaxFlags()

    - #### setMaxFlags

          public void setMaxFlags​(int maxFlags)